package com.eactive.eai.rms.common.converter;

import org.springframework.stereotype.Component;

import com.fasterxml.jackson.databind.DeserializationFeature;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.datatype.jsr310.JavaTimeModule;

@Component("elinkObjectMapper")
public class ElinkObjectMapper extends ObjectMapper {
	private static final long serialVersionUID = 1L;

	public ElinkObjectMapper() {
		configure(DeserializationFeature.FAIL_ON_UNKNOWN_PROPERTIES, false);
		
		registerModule(new JavaTimeModule());
		registerModule(new ElinkJacksonModule());
	}

}
